<template>
  <section class="has-standard-transition">
    <CategoryTabs
      :categories="this.categories"
      v-on:chosenCategory="displayChosenCategoryContent($event)">
    </CategoryTabs>
    <CategoryContent
      :categoryContentChoice="this.chosenCategory">
    </CategoryContent>
  </section>
</template>

<script>
import CategoryTabs from './CategoryTabs';
import CategoryContent from './CategoryContent';

export default {
  name: 'SecondSection',
  data() {
    return {
      categories: [
        'Overview',
        'Exterior',
        'Interior',
      ],
      chosenCategory: 'overview',
    };
  },
  components: {
    CategoryContent,
    CategoryTabs,
  },
  methods: {
    displayChosenCategoryContent(chosenContent) {
      this.chosenCategory = chosenContent.toLowerCase();
    },
  },
};
</script>

<style scoped>

</style>
